@import "styles/settings/colors";
@import "styles/settings/borders";

button {
    &.btn-light {
        background-color: $button-light-color !important;
    }
}

a {
    &.btn-link {
        border-bottom: $general-border !important; 
        background-color: $button-light-color !important;
    }
}

a, button {
    color: inherit !important;
    border-radius: $rounded-sm;
}

button.btn-link {
    text-decoration: none !important;
}

select, a.btn-link {
    font-size: $font-size-active-link !important;
    &.active {
        border: $active-link-border !important;
    }
}

input {
    border: none !important;
    background-color: inherit !important;
    &:focus {
        background-color: inherit !important;
        box-shadow: none !important;
    }
}

/* NAVBAR */
nav {
    a.navbar-brand {
        img {
            width: 2.5rem;
        }
    }
    .nav-item {
        &.active {
            color: $primary-color !important;
            font-weight: bold;

            &::after { 
                background: $primary-color none repeat scroll 0 0; 
                content: ""; 
                display: block; 
                height: 2px; 
                margin: auto;
                margin-top: 2px; 
                width: 30px;
            }
        }
        
    }
    button.navbar-toggler {
        border: 1px solid !important;
    }
}